## org.ascape.model.space
Class SpatialTemporalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ascape.model.space.SpatialTemporalException

All Implemented Interfaces:
  java.io.Serializable

    public class SpatialTemporalException

extends java.lang.Exception

An exception thrown if attempt is made to create inconsistent or impossible state in local space-time.

Version:
  1.0
Author:
  Miles Parker
See Also:
  Serialized Form

Constructor Summary
`SpatialTemporalException()` Instantiates a new spatial temporal exception.
`SpatialTemporalException(java.lang.String s)` Instantiates a new spatial temporal exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpatialTemporalException

    public SpatialTemporalException()

  Instantiates a new spatial temporal exception.

### SpatialTemporalException

    public SpatialTemporalException(java.lang.String s)

  Instantiates a new spatial temporal exception.

  Parameters:
    `s` - the s